bl_hid_header_t Struct Reference

Structure of a bootloader HID header. More...

`#include <bootloader_hid_report_ids.h>`

## Data Fields

uint8_t | reportID
| The report ID.
uint8_t | _padding
uint8_t | packetLengthLsb
| to zero. More...
uint8_t | packetLengthMsb
| High byte of the packet length in bytes.

## Detailed Description

Structure of a bootloader HID header.

## Field Documentation

uint8_t _padding

Pad byte necessary so that the length is 2-byte aligned and the data is 4-byte aligned. Set

uint8_t packetLengthLsb

to zero.

Low byte of the packet length in bytes.

uint8_t packetLengthMsb

High byte of the packet length in bytes.

uint8_t reportID

The report ID.

The documentation for this struct was generated from the following file:

- bootloader_hid_report_ids.h